Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.external.impl
Class ImporterImpl

    java.lang.Object
      |
      +--com.infodesire.infobit.external.impl.ImporterImpl

All Implemented Interfaces:
  com.infodesire.infobit.external.impl.ImportDiagnostics, com.infodesire.infobit.external.impl.InfobitDictionary, InfobitImporter

public class ImporterImpl
extends java.lang.Object
implements InfobitImporter, com.infodesire.infobit.external.impl.InfobitDictionary, com.infodesire.infobit.external.impl.ImportDiagnostics

This class provides a straight-forward implementation to import infobits from their XML representation, as defined by `InfobitImporter`.

Version:
  $Revision: 1.1 $
Author:
  peter2

Constructor Summary
`ImporterImpl()` Creates an instance ready to set the manager and to `initialize`.

Method Summary
`InfobitManager` | `getManager()` Gets the manager to work with.
`java.util.List` | `importInfobits(java.io.Reader input, java.lang.String path, java.util.List diagnostics)` Recovers infobits from an XML representation as created by `InfobitExporter.export`, as specified for `InfobitImporter`.
`void` | `init()` Prepares the instance to be used.
`com.infodesire.infobit.external.impl.InfobitNode` | `lookup(java.lang.String name)` DOCUMENT METHOD
`void` | `record(ImportMessage message)` DOCUMENT METHOD
`void` | `register(com.infodesire.infobit.external.impl.InfobitNode node)` DOCUMENT METHOD
`void` | `setAcl(Acl acl)` Defines the ACL used to create imported infobits and content
`void` | `setManager(InfobitManager manager)` Defines the manager to work with.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImporterImpl

    public ImporterImpl()

  Creates an instance ready to set the manager and to `initialize`.

Method Detail

### getManager

    public InfobitManager getManager()

  Gets the manager to work with.

  Specified by:
    `getManager` in interface `InfobitImporter`
  Returns:
    The manager to access infobits

### setManager

    public void setManager(InfobitManager manager)

  Defines the manager to work with.

  Specified by:
    `setManager` in interface `InfobitImporter`
  Parameters:
    `manager` - The manager to access infobits

### setAcl

    public void setAcl(Acl acl)

  Defines the ACL used to create imported infobits and content

  Specified by:
    `setAcl` in interface `InfobitImporter`
  Parameters:
    `acl` - The new Acl value

### importInfobits

    public java.util.List importInfobits(java.io.Reader input,
                                         java.lang.String path,
                                         java.util.List diagnostics)
                                  throws InfobitException,
                                         InfobitSecurityException

  Recovers infobits from an XML representation as created by `InfobitExporter.export`, as specified for `InfobitImporter`.

  : This implementation returns infobits not imported but referenced from imported ones.

  Specified by:
    `importInfobits` in interface `InfobitImporter`
  Parameters:
    `input` - Source from which to obtain the XML document representing the infobits to import
    `path` - System location of `input` , used in diagnostic messages
    `diagnostics` - A list to be filled with `ImportMessage` instances providing diagnostic messages about errors encountered during the import.
  Returns:
    A collection of the imported infobits.
  Throws:
    `InfobitException` - Generic processing error
    `InfobitSecurityException` - Description of Exception

### init

    public void init()
              throws InfobitException

  Prepares the instance to be used. No action for this implementation.

  Specified by:
    `init` in interface `InfobitImporter`
  Throws:
    `InfobitException` - Description of Exception

### register

    public void register(com.infodesire.infobit.external.impl.InfobitNode node)

  DOCUMENT METHOD

  Specified by:
    `register` in interface `com.infodesire.infobit.external.impl.InfobitDictionary`
  Parameters:
    `node` - Description of Parameter

### lookup

    public com.infodesire.infobit.external.impl.InfobitNode lookup(java.lang.String name)

  DOCUMENT METHOD

  Specified by:
    `lookup` in interface `com.infodesire.infobit.external.impl.InfobitDictionary`
  Parameters:
    `name` - Description of Parameter
  Returns:
    Description of the Returned Value

### record

    public void record(ImportMessage message)

  DOCUMENT METHOD

  Specified by:
    `record` in interface `com.infodesire.infobit.external.impl.ImportDiagnostics`
  Parameters:
    `message` - Description of Parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.